Debian Bug report logs - #358644
mips: -fstack-protector generates warning only but then fails to link

version graph

Package: samhain; Maintainer for samhain is Javier Fernández-Sanguino Peña <jfs@debian.org>; Source for samhain is src:samhain.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Wed, 15 Mar 2006 19:33:11 UTC

Severity: important

Merged with 357122

Found in version samhain/2.0.10a-2

Fixed in version samhain/2.0.10a-3

Done: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thiemo Seufer <ths@networkno.de>, pfaffben@debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#357122; Package samhain. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Thiemo Seufer <ths@networkno.de>, pfaffben@debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS on mips: cannot compute sizeof (char *)
Date: Wed, 15 Mar 2006 19:27:37 +0000
Package: samhain
Version: 2.0.10a-2
Severity: important

Your package fails to build on mips in the following way:

> Automatic build of samhain_2.0.10a-2 on bigsur by sbuild/mips 1.94
...
> checking for size_t... yes
> checking for char *... yes
> checking size of char *... configure: error: cannot compute sizeof (char *), 77
> See `config.log' for more details.
> make: *** [build-stamp] Error 1

conf.log says:
configure:7846: gcc -o conftest -g -O2 -fstack-protector   conftest.c  >&5
conftest.c:1: warning: -fstack-protector not supported for this target
/usr/bin/ld: cannot find -lssp_nonshared
collect2: ld returned 1 exit status

Hmm, compiling this test with gcc 4.0 doesn't really improve things... ;-)
(I'm compiling the archive and I thought it might be an GCC 4.1 issue)

(sid)26:tbm@bigsur: ~/src/samhain-2.0.10a] gcc-4.0 -o conftest -g -O2 -fstack-protector ./test.c
cc1: error: unrecognized command line option "-fstack-protector"

It *seems* that the configure you use is vaguely up to date (it says
"2.59"), but can you try updating it to the latest version?  I compiled
>3500 packages on mips and yours package is the only one that shows this
problem so I guess something's wrong there.

CCing the autoconf maintainer and a MIPS person in case they have a good
idea.
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#357122; Package samhain. Full text and rfc822 format available.

Acknowledgement sent to blp@cs.stanford.edu:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #10 received at 357122@bugs.debian.org (full text, mbox):

From: Ben Pfaff <blp@cs.stanford.edu>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 357122@bugs.debian.org
Subject: Re: Bug#357122: FTBFS on mips: cannot compute sizeof (char *)
Date: Wed, 15 Mar 2006 12:13:20 -0800
Martin Michlmayr <tbm@cyrius.com> writes:

> conf.log says:
> configure:7846: gcc -o conftest -g -O2 -fstack-protector   conftest.c  >&5
> conftest.c:1: warning: -fstack-protector not supported for this target
> /usr/bin/ld: cannot find -lssp_nonshared
> collect2: ld returned 1 exit status

This appears to be a bug in the GCC_STACK_PROTECT_CC macro.  It
assumes that if a compile with -fstack-protector succeeds, then
it can use it.  However, it doesn't try to link, and it appears
that on this MIPS target -fstack-protector succeeds in compiling
(with a warning) and fails in linking.  (This might actually be a
GCC bug: why try to link with -lssp_nonshared if you don't
support stack protection?)

I think that using AC_TRY_LINK in place of AC_TRY_COMPILE (within
GCC_STACK_PROTECT_CC) might solve the problem.  I haven't tried
it though.
-- 
"The sound of peacocks being shredded can't possibly be
 any worse than the sound of peacocks not being shredded."
Tanuki the Raccoon-dog in the Monastery



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#357122; Package samhain. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #15 received at 357122@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Ben Pfaff <blp@cs.stanford.edu>
Cc: 357122@bugs.debian.org
Subject: Re: Bug#357122: FTBFS on mips: cannot compute sizeof (char *)
Date: Wed, 15 Mar 2006 22:54:48 +0000
* Ben Pfaff <blp@cs.stanford.edu> [2006-03-15 12:13]:
> This appears to be a bug in the GCC_STACK_PROTECT_CC macro.  It
> assumes that if a compile with -fstack-protector succeeds, then
> it can use it.

> I think that using AC_TRY_LINK in place of AC_TRY_COMPILE (within
> GCC_STACK_PROTECT_CC) might solve the problem.  I haven't tried
> it though.

I edited aclocal.m4 and susbstited AC_TRY_COMPILE with AC_TRY_LINK
within GCC_STACK_PROTECT_CC.  This didn't change anything, though.
Was this the correct change or do I need to regenerate some files (and
how?) after editing this .m4 file?

(more in another mail)
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#357122; Package samhain. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #20 received at 357122@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: debian-gcc@lists.debian.org
Cc: 357122@bugs.debian.org, Ben Pfaff <blp@cs.stanford.edu>
Subject: Re: Bug#357122: FTBFS on mips: cannot compute sizeof (char *)
Date: Wed, 15 Mar 2006 22:59:33 +0000
* Ben Pfaff <blp@cs.stanford.edu> [2006-03-15 12:13]:
> However, it doesn't try to link, and it appears that on this MIPS
> target -fstack-protector succeeds in compiling (with a warning) and
> fails in linking.  (This might actually be a GCC bug: why try to
> link with -lssp_nonshared if you don't support stack protection?)

I tend to agree, but let's ask the GCC folks.  GCC people, basically,
the problem is that -fstack-protector does not work on MIPS.  However,
instead of generating an error when this option is passed, it only
issues a warning - but then fails during linking.

$ gcc-4.1 -g -O2 -fstack-protector test.c
test.c:1: warning: -fstack-protector not supported for this target
/usr/bin/ld: cannot find -lssp_nonshared
collect2: ld returned 1 exit status

This doesn't really make sense, does it?


The specific problem we have is that autoconf checks whether
-fstack-protector is supported by the compiler and it thinks it is on
mips because there's no error in compilation:

$ gcc-4.1 -g -O2 -fstack-protector -o x -c  test.c
test.c:1: warning: -fstack-protector not supported for this target
$ echo $?
0

So we get:

| checking whether gcc-4.1 accepts -fstack-protector... yes

But later another check (for the size of char *) fails because it uses
-fstack-protector and there's a linking error...

Should autoconf be updated to recognize the warning message or should
GCC 4.1 be changed to issue an error?
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#357122; Package samhain. Full text and rfc822 format available.

Acknowledgement sent to blp@cs.stanford.edu:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #25 received at 357122@bugs.debian.org (full text, mbox):

From: Ben Pfaff <blp@cs.stanford.edu>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 357122@bugs.debian.org
Subject: Re: Bug#357122: FTBFS on mips: cannot compute sizeof (char *)
Date: Wed, 15 Mar 2006 15:17:58 -0800
Martin Michlmayr <tbm@cyrius.com> writes:

> * Ben Pfaff <blp@cs.stanford.edu> [2006-03-15 12:13]:
>> This appears to be a bug in the GCC_STACK_PROTECT_CC macro.  It
>> assumes that if a compile with -fstack-protector succeeds, then
>> it can use it.
>
>> I think that using AC_TRY_LINK in place of AC_TRY_COMPILE (within
>> GCC_STACK_PROTECT_CC) might solve the problem.  I haven't tried
>> it though.
>
> I edited aclocal.m4 and susbstited AC_TRY_COMPILE with AC_TRY_LINK
> within GCC_STACK_PROTECT_CC.  This didn't change anything, though.
> Was this the correct change or do I need to regenerate some files (and
> how?) after editing this .m4 file?

Well, aclocal.m4 is itself supposed to be a generated file
(generated by "aclocal") but I don't see the proper sources for
it anywhere in Debian.  Perhaps the package maintainer has never
needed to regenerate it, or perhaps I don't know where to look.

After updating aclocal.m4, you'd need to run `autoconf'.  It
seems like the Makefile should do that for you, but it couldn't
hurt to do it by hand, I guess.

Does that make any difference?
-- 
Ben Pfaff 
email: blp@cs.stanford.edu
web: http://benpfaff.org



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#357122; Package samhain. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #30 received at 357122@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Ben Pfaff <blp@cs.stanford.edu>
Cc: 357122@bugs.debian.org
Subject: Re: Bug#357122: FTBFS on mips: cannot compute sizeof (char *)
Date: Wed, 15 Mar 2006 23:27:21 +0000
* Ben Pfaff <blp@cs.stanford.edu> [2006-03-15 15:17]:
> After updating aclocal.m4, you'd need to run `autoconf'.
> 
> Does that make any difference?

Yes, now it works:

| checking whether gcc accepts -fstack-protector... no
...
| checking size of char *... 4


But let's wait and see what the GCC people say.
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#357122; Package samhain. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #35 received at 357122@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Ben Pfaff <blp@cs.stanford.edu>
Cc: 357122@bugs.debian.org, debian-gcc@lists.debian.org
Subject: Re: Bug#357122: FTBFS on mips: cannot compute sizeof (char *)
Date: Thu, 23 Mar 2006 17:32:37 +0000
clone 357122 -1
reassign -1 gcc-4.1,autoconf
retitle -1 mips: -fstack-protector generates warning only but then fails to link
thanks

* Martin Michlmayr <tbm@cyrius.com> [2006-03-15 23:27]:
> | checking whether gcc accepts -fstack-protector... no
> ...
> | checking size of char *... 4
> But let's wait and see what the GCC people say.

I just had another package fail to build this way so I'm cloning this
bug.  Can someone please comment whether this is a compiler bug (I
think so) or whether autoconf needs to be changed.
-- 
Martin Michlmayr
http://www.cyrius.com/



Bug 357122 cloned as bug 358644. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `samhain' to `gcc-4.1,autoconf'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 358644 Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 358644 Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>, Ben Pfaff <pfaffben@debian.org>:
Bug#358644; Package gcc-4.1,autoconf. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>, Ben Pfaff <pfaffben@debian.org>. Full text and rfc822 format available.

Message #50 received at 358644@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 358644@bugs.debian.org
Subject: test case
Date: Thu, 23 Mar 2006 19:00:43 +0000
test case and GCC info for the GCC people:


$ cat > test.c
int main() {
}
$ gcc-3.4 -o test -g -O2 -fstack-protector ./test.c
cc1: error: unrecognized command line option "-fstack-protector"
zsh: exit 1     gcc-3.4 -o test -g -O2 -fstack-protector ./test.c
$ gcc-4.0 -o test -g -O2 -fstack-protector ./test.c
cc1: error: unrecognized command line option "-fstack-protector"
zsh: exit 1     gcc-4.0 -o test -g -O2 -fstack-protector ./test.c
$ gcc-4.1 -o test -g -O2 -fstack-protector ./test.c
./test.c:1: warning: -fstack-protector not supported for this target
/usr/bin/ld: cannot find -lssp_nonshared
collect2: ld returned 1 exit status


$ gcc-3.4 -v
Reading specs from /usr/lib/gcc/mips-linux-gnu/3.4.6/specs
Configured with: ../src/configure -v --enable-languages=c,c++,f77,pascal --prefix=/usr --libexecdir=/usr/lib --with-gxx-include-dir=/usr/include/c++/3.4 --enable-shared --with-system-zlib --enable-nls --without-included-gettext --program-suffix=-3.4 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug mips-linux-gnu
Thread model: posix
gcc version 3.4.6 (Debian 3.4.6-1)


$ gcc-4.0 -v
Using built-in specs.
Target: mips-linux-gnu
Configured with: ../src/configure -v --enable-languages=c,c++,java,f95,objc,ada,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --program-suffix=-4.0 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --enable-java-awt=gtk --enable-gtk-cairo --with-java-home=/usr/lib/jvm/java-1.4.2-gcj-4.0-1.4.2.0/jre --enable-mpfr --disable-werror --enable-checking=release mips-linux-gnu
Thread model: posix
gcc version 4.0.3 (Debian 4.0.3-1)

$ gcc-4.1 -v
Using built-in specs.
Target: mips-linux-gnu
Configured with: ../src/configure -v --enable-languages=c,c++,java,fortran,objc,obj-c++,ada,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --program-suffix=-4.1 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --enable-java-awt=gtk --enable-gtk-cairo --with-java-home=/usr/lib/jvm/java-1.4.2-gcj-4.1-1.4.2.0/jre --enable-mpfr --enable-checking=release mips-linux-gnu
Thread model: posix
gcc version 4.1.0 (Debian 4.1.0-0)


-- 
Martin Michlmayr
http://www.cyrius.com/



Bug reassigned from package `gcc-4.1,autoconf' to `autoconf'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ben Pfaff <pfaffben@debian.org>:
Bug#358644; Package autoconf. Full text and rfc822 format available.

Acknowledgement sent to blp@cs.stanford.edu:
Extra info received and forwarded to list. Copy sent to Ben Pfaff <pfaffben@debian.org>. Full text and rfc822 format available.

Message #57 received at 358644@bugs.debian.org (full text, mbox):

From: Ben Pfaff <blp@cs.stanford.edu>
To: 358644@bugs.debian.org, control@bugs.debian.org
Subject: Bug might be in samhain or gcc, but definitely not autoconf
Date: Thu, 30 Mar 2006 10:20:01 -0800
reassign 358644 samhain
thanks

The proximate cause of this bug is an Autoconf macro supplied by
Samhain.  The proximate cause can be fixed by changing the macro
supplied by Samhain.

The underlying cause of this bug is GCC behavior.  This could be
fixed by changing GCC, if the GCC maintainers agreed that it was
a bug (they seem not to).

Thus, I'm assigning this bug back to samhain.  It's not a bug in
Autoconf, only in Samhain's use of it.  (It's like blaming a C
library instead of the code that calls into it wrongly.)

Thanks,

Ben.
-- 
"Welcome to the Slippery Slope. Here is your handbasket.
 Say, can you work 70 hours this week?"
--Ron Mansolino



Bug reassigned from package `autoconf' to `samhain'. Request was from Ben Pfaff <blp@cs.stanford.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 358644 Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#358644; Package samhain. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #66 received at 358644@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: control@bugs.debian.org
Cc: 358643@bugs.debian.org, 358644@bugs.debian.org
Subject: s/AC_TRY_COMPILE/AC_TRY_LINK/
Date: Sun, 28 May 2006 12:21:05 +0200
unblock 358643 by 358644
unblock 357122 by 358644
merge 358644 357122
thanks

You need to substitute AC_TRY_COMPILE with AC_TRY_LINK and then run
autoconf.  Please do this in the next few days since this is blocking
the GCC 4.1 transition.
-- 
Martin Michlmayr
http://www.cyrius.com/



Blocking bugs removed: 358644 Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 358644 Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 357122 358644. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #77 received at 358644-close@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
To: 358644-close@bugs.debian.org
Subject: Bug#358644: fixed in samhain 2.0.10a-3
Date: Sun, 28 May 2006 14:05:58 -0700
Source: samhain
Source-Version: 2.0.10a-3

We believe that the bug you reported is fixed in the latest version of
samhain, which is due to be installed in the Debian FTP archive:

samhain_2.0.10a-3.diff.gz
  to pool/main/s/samhain/samhain_2.0.10a-3.diff.gz
samhain_2.0.10a-3.dsc
  to pool/main/s/samhain/samhain_2.0.10a-3.dsc
samhain_2.0.10a-3_i386.deb
  to pool/main/s/samhain/samhain_2.0.10a-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 358644@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Javier Fernandez-Sanguino Pen~a <jfs@computer.org> (supplier of updated samhain package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 28 May 2006 19:17:49 +0200
Source: samhain
Binary: samhain
Architecture: source i386
Version: 2.0.10a-3
Distribution: unstable
Urgency: low
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Changed-By: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Description: 
 samhain    - Data integrity and host intrusion alert system
Closes: 358644
Changes: 
 samhain (2.0.10a-3) unstable; urgency=low
 .
   * Use AC_TRY_LINK instead of AC_TRY_COMPILE in aclocal.m4's
     GCC_STACK_PROTECT_CC to prevent a FTBFS with gcc-4.1 in
     mips (Closes: #358644)
Files: 
 a91355abd864d75174af75b25f78e608 732 admin optional samhain_2.0.10a-3.dsc
 0cce18324240e8319abd51a88509d16b 41039 admin optional samhain_2.0.10a-3.diff.gz
 4da292484499081f1338bb6949ea2af8 686150 admin optional samhain_2.0.10a-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iQCVAwUBRHncGPtEPvakNq0lAQKY4wQAtM80B1kyk2CDJSbj9JQfi0yiVzAE2jel
C4ijTvuGz+0eqS9AW9FY1TcK541NcfUjDSUaU4VSTqLUuM+TSWUN6WbOabN35FqB
4YAV37DRDz76wxC2L0QyK+S2scnSS9fCLMh8je0LyiDa3enUNHEnwdkJf0noepq4
T0aYB5PD/8M=
=beAO
-----END PGP SIGNATURE-----




Reply sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 21:07:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:59:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.